#!/bin/sh

BASEDIR=$1
OUTDIR=$2
count=1
ext=.jpg
cd $BASEDIR
for f in $(find . -type f -name '*.zip')
do 

	filepattern=$(echo $f | cut -d"_" -f6)"_"$(echo $f | cut -d"_" -f3)"_B"
	filename=$OUTDIR$filepattern
	echo $filename
	if [  ! -e $filename"02.jp2" -o ! -e $filename"03.jp2" -o ! -e $filename"04.jp2" ]; then

		unzip -n -j $f *B02.jp2 *B03.jp2 *B04.jp2 -d $OUTDIR 
	else
		echo PASS $f
	fi

	
	cd $OUTDIR
	red=$(ls $filepattern"04.jp2" -t |head -1)
	green=$(ls $filepattern"03.jp2" -t |head -1)
	blue=$(ls $filepattern"02.jp2" -t |head -1)

	echo "red-"$red
	echo "gre-"$green
	echo "blu-"$blue
#    m=$(pwd)
#    red=$m/$red
#    green=$m/$green
#    blue=$m/$blue

	if [  ! -e $filepattern"04.jpg" ]; then
		jp2ToJPGandStretch $red
	fi

	if [  ! -e $filepattern"03.jpg" ]; then
		jp2ToJPGandStretch $green
	fi

        if [  ! -e $filepattern"02.jpg" ]; then
		jp2ToJPGandStretch $blue
	fi
#    red=$(ls *B04.jpg -t |head -1)
#    green=$(ls *B03.jpg -t |head -1)
#    blue=$(ls *B02.jpg -t |head -1)
#    m=$(pwd)
#    red=$m/$red
#    green=$m/$green
#    blue=$m/$blue
	if [ ! -d "video" ]; then
		mkdir video
	fi
	fileout=$(echo $filepattern | cut -d"_" -f2)
	convert $filepattern"04.jpg" $filepattern"02.jpg" $filepattern"02.jpg"  -combine video/$fileout".jpg"
#    rm *.jp2
#    rm *B04.jpg
#    rm *B03.jpg
#    rm *B02.jpg
#    count=$((count+1))
	cd ..

done
